<?php
require_once(getabspath("classes/cipherer.php"));
$tdatasenuc_atividades_aluno = array();
	$tdatasenuc_atividades_aluno[".NumberOfChars"] = 80; 
	$tdatasenuc_atividades_aluno[".ShortName"] = "senuc_atividades_aluno";
	$tdatasenuc_atividades_aluno[".OwnerID"] = "id_nucleo";
	$tdatasenuc_atividades_aluno[".OriginalTable"] = "senuc_atividades_aluno";

//	field labels
$fieldLabelssenuc_atividades_aluno = array();
if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"] = array();
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"] = array();
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["id"] = "Id";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["id"] = "";
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["id_atividade"] = "Atividade";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["id_atividade"] = "";
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["id_aluno"] = "Aluno";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["id_aluno"] = "";
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["nota"] = "Nota";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["nota"] = "";
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["data_lancamento"] = "Data Lancamento";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["data_lancamento"] = "";
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["id_nucleo"] = "Nucleo";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["id_nucleo"] = "";
	$fieldLabelssenuc_atividades_aluno["Portuguese(Brazil)"]["senuc_atividades_data_atividade"] = "Senuc Atividades.data Atividade";
	$fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]["senuc_atividades.data_atividade"] = "";
	if (count($fieldToolTipssenuc_atividades_aluno["Portuguese(Brazil)"]))
		$tdatasenuc_atividades_aluno[".isUseToolTips"] = true;
}
	
	
	$tdatasenuc_atividades_aluno[".NCSearch"] = true;



$tdatasenuc_atividades_aluno[".shortTableName"] = "senuc_atividades_aluno";
$tdatasenuc_atividades_aluno[".nSecOptions"] = 1;
$tdatasenuc_atividades_aluno[".recsPerRowList"] = 1;
$tdatasenuc_atividades_aluno[".mainTableOwnerID"] = "id_nucleo";
$tdatasenuc_atividades_aluno[".moveNext"] = 1;
$tdatasenuc_atividades_aluno[".nType"] = 0;

$tdatasenuc_atividades_aluno[".strOriginalTableName"] = "senuc_atividades_aluno";




$tdatasenuc_atividades_aluno[".showAddInPopup"] = true;

$tdatasenuc_atividades_aluno[".showEditInPopup"] = true;

$tdatasenuc_atividades_aluno[".showViewInPopup"] = true;

$tdatasenuc_atividades_aluno[".fieldsForRegister"] = array();

$tdatasenuc_atividades_aluno[".listAjax"] = false;

	$tdatasenuc_atividades_aluno[".audit"] = false;

	$tdatasenuc_atividades_aluno[".locking"] = false;

$tdatasenuc_atividades_aluno[".listIcons"] = true;
$tdatasenuc_atividades_aluno[".edit"] = true;
$tdatasenuc_atividades_aluno[".view"] = true;

$tdatasenuc_atividades_aluno[".exportTo"] = true;

$tdatasenuc_atividades_aluno[".printFriendly"] = true;

$tdatasenuc_atividades_aluno[".delete"] = true;

$tdatasenuc_atividades_aluno[".showSimpleSearchOptions"] = false;

$tdatasenuc_atividades_aluno[".showSearchPanel"] = true;

if (isMobile())
	$tdatasenuc_atividades_aluno[".isUseAjaxSuggest"] = false;
else 
	$tdatasenuc_atividades_aluno[".isUseAjaxSuggest"] = true;

$tdatasenuc_atividades_aluno[".rowHighlite"] = true;

// button handlers file names

$tdatasenuc_atividades_aluno[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasenuc_atividades_aluno[".isUseTimeForSearch"] = false;




$tdatasenuc_atividades_aluno[".allSearchFields"] = array();

$tdatasenuc_atividades_aluno[".allSearchFields"][] = "senuc_atividades.data_atividade";
$tdatasenuc_atividades_aluno[".allSearchFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".allSearchFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".allSearchFields"][] = "nota";
$tdatasenuc_atividades_aluno[".allSearchFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".allSearchFields"][] = "id_nucleo";

$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "id";
$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "nota";
$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "id_nucleo";
$tdatasenuc_atividades_aluno[".googleLikeFields"][] = "senuc_atividades.data_atividade";


$tdatasenuc_atividades_aluno[".advSearchFields"][] = "senuc_atividades.data_atividade";
$tdatasenuc_atividades_aluno[".advSearchFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".advSearchFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".advSearchFields"][] = "nota";
$tdatasenuc_atividades_aluno[".advSearchFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".advSearchFields"][] = "id_nucleo";

$tdatasenuc_atividades_aluno[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatasenuc_atividades_aluno[".pageSize"] = 20;

$tstrOrderBy = "ORDER BY senuc_atividades.data_atividade DESC";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatasenuc_atividades_aluno[".strOrderBy"] = $tstrOrderBy;

$tdatasenuc_atividades_aluno[".orderindexes"] = array();
$tdatasenuc_atividades_aluno[".orderindexes"][] = array(7, (0 ? "ASC" : "DESC"), "senuc_atividades.data_atividade");

$tdatasenuc_atividades_aluno[".sqlHead"] = "SELECT senuc_atividades_aluno.id,  senuc_atividades_aluno.id_atividade,  senuc_atividades_aluno.id_aluno,  senuc_atividades_aluno.nota,  senuc_atividades_aluno.data_lancamento,  senuc_atividades.id_nucleo,  senuc_atividades.data_atividade AS `senuc_atividades.data_atividade`";
$tdatasenuc_atividades_aluno[".sqlFrom"] = "FROM senuc_atividades_aluno  INNER JOIN senuc_atividades ON senuc_atividades.id = senuc_atividades_aluno.id_atividade";
$tdatasenuc_atividades_aluno[".sqlWhereExpr"] = "";
$tdatasenuc_atividades_aluno[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasenuc_atividades_aluno[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasenuc_atividades_aluno[".arrGroupsPerPage"] = $arrGPP;

$tableKeyssenuc_atividades_aluno = array();
$tableKeyssenuc_atividades_aluno[] = "id";
$tdatasenuc_atividades_aluno[".Keys"] = $tableKeyssenuc_atividades_aluno;

$tdatasenuc_atividades_aluno[".listFields"] = array();
$tdatasenuc_atividades_aluno[".listFields"][] = "senuc_atividades.data_atividade";
$tdatasenuc_atividades_aluno[".listFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".listFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".listFields"][] = "nota";
$tdatasenuc_atividades_aluno[".listFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".listFields"][] = "id_nucleo";

$tdatasenuc_atividades_aluno[".viewFields"] = array();
$tdatasenuc_atividades_aluno[".viewFields"][] = "senuc_atividades.data_atividade";
$tdatasenuc_atividades_aluno[".viewFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".viewFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".viewFields"][] = "nota";
$tdatasenuc_atividades_aluno[".viewFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".viewFields"][] = "id_nucleo";

$tdatasenuc_atividades_aluno[".addFields"] = array();
$tdatasenuc_atividades_aluno[".addFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".addFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".addFields"][] = "nota";

$tdatasenuc_atividades_aluno[".inlineAddFields"] = array();
$tdatasenuc_atividades_aluno[".inlineAddFields"][] = "senuc_atividades.data_atividade";

$tdatasenuc_atividades_aluno[".editFields"] = array();
$tdatasenuc_atividades_aluno[".editFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".editFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".editFields"][] = "nota";

$tdatasenuc_atividades_aluno[".inlineEditFields"] = array();
$tdatasenuc_atividades_aluno[".inlineEditFields"][] = "senuc_atividades.data_atividade";

$tdatasenuc_atividades_aluno[".exportFields"] = array();
$tdatasenuc_atividades_aluno[".exportFields"][] = "senuc_atividades.data_atividade";
$tdatasenuc_atividades_aluno[".exportFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".exportFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".exportFields"][] = "nota";
$tdatasenuc_atividades_aluno[".exportFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".exportFields"][] = "id_nucleo";

$tdatasenuc_atividades_aluno[".printFields"] = array();
$tdatasenuc_atividades_aluno[".printFields"][] = "senuc_atividades.data_atividade";
$tdatasenuc_atividades_aluno[".printFields"][] = "id_atividade";
$tdatasenuc_atividades_aluno[".printFields"][] = "id_aluno";
$tdatasenuc_atividades_aluno[".printFields"][] = "nota";
$tdatasenuc_atividades_aluno[".printFields"][] = "data_lancamento";
$tdatasenuc_atividades_aluno[".printFields"][] = "id_nucleo";

//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "senuc_atividades_aluno";
	$fdata["Label"] = "Id"; 
	$fdata["FieldType"] = 3;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "id"; 
		$fdata["FullName"] = "senuc_atividades_aluno.id";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["id"] = $fdata;
//	id_atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_atividade";
	$fdata["GoodName"] = "id_atividade";
	$fdata["ownerTable"] = "senuc_atividades_aluno";
	$fdata["Label"] = "Atividade"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_atividade"; 
		$fdata["FullName"] = "senuc_atividades_aluno.id_atividade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome_atividade";
	
		
	$edata["LookupTable"] = "senuc_atividades";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["id_atividade"] = $fdata;
//	id_aluno
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "id_aluno";
	$fdata["GoodName"] = "id_aluno";
	$fdata["ownerTable"] = "senuc_atividades_aluno";
	$fdata["Label"] = "Aluno"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_aluno"; 
		$fdata["FullName"] = "senuc_atividades_aluno.id_aluno";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_aluno";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["id_aluno"] = $fdata;
//	nota
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "nota";
	$fdata["GoodName"] = "nota";
	$fdata["ownerTable"] = "senuc_atividades_aluno";
	$fdata["Label"] = "Nota"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		$fdata["bAddPage"] = true; 
	
		
		$fdata["bEditPage"] = true; 
	
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "nota"; 
		$fdata["FullName"] = "senuc_atividades_aluno.nota";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["nota"] = $fdata;
//	data_lancamento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "data_lancamento";
	$fdata["GoodName"] = "data_lancamento";
	$fdata["ownerTable"] = "senuc_atividades_aluno";
	$fdata["Label"] = "Data Lancamento"; 
	$fdata["FieldType"] = 135;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_lancamento"; 
		$fdata["FullName"] = "senuc_atividades_aluno.data_lancamento";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["data_lancamento"] = $fdata;
//	id_nucleo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "id_nucleo";
	$fdata["GoodName"] = "id_nucleo";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Nucleo"; 
	$fdata["FieldType"] = 3;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		
		
		
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "id_nucleo"; 
		$fdata["FullName"] = "senuc_atividades.id_nucleo";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Lookup wizard");
	
		
		
	
//	Begin Lookup settings
								$edata["LookupType"] = 2;
	$edata["freeInput"] = 0;
	$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
				
		
			
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nome";
	
		
	$edata["LookupTable"] = "senuc_nucleo";
	$edata["LookupOrderBy"] = "";
	
		
		
		
		
		
				
	
	
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
						
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["id_nucleo"] = $fdata;
//	senuc_atividades.data_atividade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "senuc_atividades.data_atividade";
	$fdata["GoodName"] = "senuc_atividades_data_atividade";
	$fdata["ownerTable"] = "senuc_atividades";
	$fdata["Label"] = "Senuc Atividades.data Atividade"; 
	$fdata["FieldType"] = 7;
	
		
		
		$fdata["bListPage"] = true; 
	
		
		$fdata["bInlineAdd"] = true; 
	
		
		$fdata["bInlineEdit"] = true; 
	
		$fdata["bViewPage"] = true; 
	
		$fdata["bAdvancedSearch"] = true; 
	
		$fdata["bPrinterPage"] = true; 
	
		$fdata["bExportPage"] = true; 
	
		$fdata["strField"] = "data_atividade"; 
		$fdata["FullName"] = "senuc_atividades.data_atividade";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "Short Date");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Date");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		$edata["DateEditType"] = 13; 
	$edata["InitialYearFactor"] = 100; 
	$edata["LastYearFactor"] = 10; 
	
		
		
		
//	Begin validation
	$edata["validateAs"] = array();
		
	//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatasenuc_atividades_aluno["senuc_atividades.data_atividade"] = $fdata;

	
$tables_data["senuc_atividades_aluno"]=&$tdatasenuc_atividades_aluno;
$field_labels["senuc_atividades_aluno"] = &$fieldLabelssenuc_atividades_aluno;
$fieldToolTips["senuc_atividades_aluno"] = &$fieldToolTipssenuc_atividades_aluno;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["senuc_atividades_aluno"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["senuc_atividades_aluno"] = array();

$mIndex = 1-1;
			$strOriginalDetailsTable="senuc_aluno";
	$masterParams["mDataSourceTable"]="senuc_aluno";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_aluno";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "1";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 1;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_atividades_aluno"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_atividades_aluno"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_atividades_aluno"][$mIndex]["detailKeys"][]="id_aluno";

$mIndex = 2-1;
			$strOriginalDetailsTable="senuc_atividades";
	$masterParams["mDataSourceTable"]="senuc_atividades";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "senuc_atividades";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();
	$masterParams["dispChildCount"]= "1";
	$masterParams["hideChild"]= "0";
	$masterParams["dispInfo"]= "1";
	$masterParams["previewOnList"]= 0;
	$masterParams["previewOnAdd"]= 0;
	$masterParams["previewOnEdit"]= 0;
	$masterParams["previewOnView"]= 0;
	$masterTablesData["senuc_atividades_aluno"][$mIndex] = $masterParams;	
		$masterTablesData["senuc_atividades_aluno"][$mIndex]["masterKeys"][]="id";
		$masterTablesData["senuc_atividades_aluno"][$mIndex]["detailKeys"][]="id_atividade";

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_senuc_atividades_aluno()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "senuc_atividades_aluno.id,  senuc_atividades_aluno.id_atividade,  senuc_atividades_aluno.id_aluno,  senuc_atividades_aluno.nota,  senuc_atividades_aluno.data_lancamento,  senuc_atividades.id_nucleo,  senuc_atividades.data_atividade AS `senuc_atividades.data_atividade`";
$proto0["m_strFrom"] = "FROM senuc_atividades_aluno  INNER JOIN senuc_atividades ON senuc_atividades.id = senuc_atividades_aluno.id_atividade";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "ORDER BY senuc_atividades.data_atividade DESC";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_atividades_aluno"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "id_atividade",
	"m_strTable" => "senuc_atividades_aluno"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "id_aluno",
	"m_strTable" => "senuc_atividades_aluno"
));

$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto0["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "nota",
	"m_strTable" => "senuc_atividades_aluno"
));

$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto0["m_fieldlist"][]=$obj;
						$proto13=array();
			$obj = new SQLField(array(
	"m_strName" => "data_lancamento",
	"m_strTable" => "senuc_atividades_aluno"
));

$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "";
$obj = new SQLFieldListItem($proto13);

$proto0["m_fieldlist"][]=$obj;
						$proto15=array();
			$obj = new SQLField(array(
	"m_strName" => "id_nucleo",
	"m_strTable" => "senuc_atividades"
));

$proto15["m_expr"]=$obj;
$proto15["m_alias"] = "";
$obj = new SQLFieldListItem($proto15);

$proto0["m_fieldlist"][]=$obj;
						$proto17=array();
			$obj = new SQLField(array(
	"m_strName" => "data_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto17["m_expr"]=$obj;
$proto17["m_alias"] = "senuc_atividades.data_atividade";
$obj = new SQLFieldListItem($proto17);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto19=array();
$proto19["m_link"] = "SQLL_MAIN";
			$proto20=array();
$proto20["m_strName"] = "senuc_atividades_aluno";
$proto20["m_columns"] = array();
$proto20["m_columns"][] = "id";
$proto20["m_columns"][] = "id_atividade";
$proto20["m_columns"][] = "id_aluno";
$proto20["m_columns"][] = "nota";
$proto20["m_columns"][] = "data_lancamento";
$proto20["m_columns"][] = "operador";
$proto20["m_columns"][] = "id_nucleo";
$obj = new SQLTable($proto20);

$proto19["m_table"] = $obj;
$proto19["m_alias"] = "";
$proto21=array();
$proto21["m_sql"] = "";
$proto21["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto21["m_column"]=$obj;
$proto21["m_contained"] = array();
$proto21["m_strCase"] = "";
$proto21["m_havingmode"] = "0";
$proto21["m_inBrackets"] = "0";
$proto21["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto21);

$proto19["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto19);

$proto0["m_fromlist"][]=$obj;
												$proto23=array();
$proto23["m_link"] = "SQLL_INNERJOIN";
			$proto24=array();
$proto24["m_strName"] = "senuc_atividades";
$proto24["m_columns"] = array();
$proto24["m_columns"][] = "id";
$proto24["m_columns"][] = "tipo_atividade";
$proto24["m_columns"][] = "materia_atividade";
$proto24["m_columns"][] = "id_professor";
$proto24["m_columns"][] = "nome_atividade";
$proto24["m_columns"][] = "data_atividade";
$proto24["m_columns"][] = "data_criacao";
$proto24["m_columns"][] = "atividade";
$proto24["m_columns"][] = "id_nucleo";
$proto24["m_columns"][] = "id_turma";
$obj = new SQLTable($proto24);

$proto23["m_table"] = $obj;
$proto23["m_alias"] = "";
$proto25=array();
$proto25["m_sql"] = "senuc_atividades.id = senuc_atividades_aluno.id_atividade";
$proto25["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "senuc_atividades"
));

$proto25["m_column"]=$obj;
$proto25["m_contained"] = array();
$proto25["m_strCase"] = "= senuc_atividades_aluno.id_atividade";
$proto25["m_havingmode"] = "0";
$proto25["m_inBrackets"] = "0";
$proto25["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto25);

$proto23["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto23);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
												$proto27=array();
						$obj = new SQLField(array(
	"m_strName" => "data_atividade",
	"m_strTable" => "senuc_atividades"
));

$proto27["m_column"]=$obj;
$proto27["m_bAsc"] = 0;
$proto27["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto27);

$proto0["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_senuc_atividades_aluno = createSqlQuery_senuc_atividades_aluno();
							$tdatasenuc_atividades_aluno[".sqlquery"] = $queryData_senuc_atividades_aluno;
	
if(isset($tdatasenuc_atividades_aluno["field2"])){
	$tdatasenuc_atividades_aluno["field2"]["LookupTable"] = "carscars_view";
	$tdatasenuc_atividades_aluno["field2"]["LookupOrderBy"] = "name";
	$tdatasenuc_atividades_aluno["field2"]["LookupType"] = 4;
	$tdatasenuc_atividades_aluno["field2"]["LinkField"] = "email";
	$tdatasenuc_atividades_aluno["field2"]["DisplayField"] = "name";
	$tdatasenuc_atividades_aluno[".hasCustomViewField"] = true;
}

$tableEvents["senuc_atividades_aluno"] = new eventsBase;
$tdatasenuc_atividades_aluno[".hasEvents"] = false;

$cipherer = new RunnerCipherer("senuc_atividades_aluno");

?>